import { InlineTranslation } from "@smallstack/i18n-shared";
import { BaseWidgetComponent, WidgetRegistry } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
interface ViewField {
    label: InlineTranslation;
    value: any;
    widget: string;
    schema: any;
}
export declare class DefaultDetailsViewWidgetComponent extends BaseWidgetComponent {
    private widgetRegistry;
    protected model$: Observable<any>;
    protected fields$: Observable<ViewField[]>;
    constructor(widgetRegistry: WidgetRegistry);
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultDetailsViewWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DefaultDetailsViewWidgetComponent, "smallstack-default-details-view-widget", never, {}, {}, never, never, true, never>;
}
export {};
